org.apache.hadoop.mapred

## Class Utils.OutputFileUtils.OutputLogFilter

- java.lang.Object
- - org.apache.hadoop.mapred.Utils.OutputFileUtils.OutputLogFilter

- All Implemented Interfaces:
    org.apache.hadoop.fs.PathFilter
  Direct Known Subclasses:
    Utils.OutputFileUtils.OutputFilesFilter
  Enclosing class:
    Utils.OutputFileUtils

      public static class Utils.OutputFileUtils.OutputLogFilter
      extends Object
      implements org.apache.hadoop.fs.PathFilter

  This class filters log files from directory given It doesnt accept paths having _logs. This can be used to list paths of output directory as follows: Path[] fileList = FileUtil.stat2Paths(fs.listStatus(outDir, new OutputLogFilter()));

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputLogFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(org.apache.hadoop.fs.Path path)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutputLogFilter

          public OutputLogFilter()

  - ### Method Detail

    - #### accept

          public boolean accept(org.apache.hadoop.fs.Path path)

      Specified by:
        `accept` in interface `org.apache.hadoop.fs.PathFilter`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.